[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.MoveTo

Relocates a node to the specified Destination node using the specified mode of attachment.

## Declaration

Source position: comctrls.pp line 3145

`public procedure TTreeNode.MoveTo(`
`Destination: TTreeNode;`
`Mode: TNodeAttachMode`
`); virtual;`

## Arguments

`Destination` |  | Tree node which provides the location where the current is moved using the specified attachment mode.
`Mode` |  | Specifies where the node is stored relative to the destination node.

## Description

MoveTo - method for relocating a node to the specified Destination using the specified mode of attachment.

Definition of the modes of attachment:

naAdd
  Add as last sibling of Destination
naAddFirst
  Add as first sibling of Destination
naAddChild
  Add as last child of Destination
naAddChildFirst
  Add as first child of Destination
naInsert
  Insert in front of Destination
naInsertBehind
  Insert behind Destination